GroovyAwareInfrastructureAdvisorAutoProxyCreator (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.aop.framework.autoproxy

## [Java] Class GroovyAwareInfrastructureAdvisorAutoProxyCreator

- org.codehaus.groovy.grails.aop.framework.autoproxy.GroovyAwareInfrastructureAdvisorAutoProxyCreator

- Tells Spring always to proxy Groovy classes.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator` | `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`
    `class org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator` | `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `shouldProxyTargetClass(java.lang.Class<?> beanClass, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator` | `org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#isFrozen(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setOrder(int), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#getOrder(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#postProcessBeforeInitialization(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setFrozen(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setCustomTargetSourceCreators([Lorg.springframework.aop.framework.autoproxy.TargetSourceCreator;), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setInterceptorNames([Ljava.lang.String;), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setApplyCommonInterceptorsFirst(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#predictBeanType(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#toString(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#isOpaque(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setOpaque(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setOptimize(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#isOptimize(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#isProxyTargetClass(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setProxyTargetClass(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#isExposeProxy(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#setExposeProxy(boolean), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#wait(long, int), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#wait(long), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#wait(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#equals(java.lang.Object), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#hashCode(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#getClass(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#notify(), org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator#notifyAll()`
    `class org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator` | `org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#isFrozen(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setOrder(int), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#getOrder(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#postProcessBeforeInitialization(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setFrozen(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setCustomTargetSourceCreators([Lorg.springframework.aop.framework.autoproxy.TargetSourceCreator;), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setInterceptorNames([Ljava.lang.String;), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setApplyCommonInterceptorsFirst(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#predictBeanType(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#toString(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#isOpaque(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setOpaque(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setOptimize(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#isOptimize(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#isProxyTargetClass(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setProxyTargetClass(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#isExposeProxy(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#setExposeProxy(boolean), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#wait(long, int), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#wait(long), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#wait(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#equals(java.lang.Object), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#hashCode(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#getClass(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#notify(), org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected boolean shouldProxyTargetClass(java.lang.Class<?> beanClass, java.lang.String beanName)